package com.mortals.xhx.modules.data.model;

import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:DataArea
* date: 2021-8-10 13:57:03
*/
public class DataAreaEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1628575023251L;


    /**
    * 地区名称
    */
    private String areaName;

    /**
    * 地区简称
    */
    private String areaSimpleName;

    /**
    * 上级地区ID
    */
    private String parentAreaId;

    /**
    * 行政区域代码             行政区域代码             
    */
    private String areaCode;

    /**
    * 删除标识
    */
    private String deleteFlag;

    /**
    * 创建人
    */
    private String creatorId;

    /**
    * 创建人名称
    */
    private String creatorName;

    /**
    * 创建时间
    */
    private String createTimes;

    /**
    * 更新时间
    */
    private String updateTimes;

    /**
    * 1省级，2市级，3区县级，4乡镇级，5村
    */
    private String areaLevel;

    /**
    * 排序
    */
    private String sortKey;

    /**
    * 地区层级编码
    */
    private String areaLevelCode;

    /**
    * 临时使用确认地区层级
    */
    private String submitAreaLevel;

    /**
    * 是否特殊区域：0.否，1.是
    */
    private String isSpecial;

    /**
    * 行政区域描述
    */
    private String areaDesc;

    public DataAreaEntity(){

    }
    /**
    * 获取 地区名称
    * @return areaName
    */
    public String getAreaName() {
        return this.areaName;
    }
    /**
    * 设置 地区名称
    * @param areaName
    */
    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }
    /**
    * 获取 地区简称
    * @return areaSimpleName
    */
    public String getAreaSimpleName() {
        return this.areaSimpleName;
    }
    /**
    * 设置 地区简称
    * @param areaSimpleName
    */
    public void setAreaSimpleName(String areaSimpleName) {
        this.areaSimpleName = areaSimpleName;
    }
    /**
    * 获取 上级地区ID
    * @return parentAreaId
    */
    public String getParentAreaId() {
        return this.parentAreaId;
    }
    /**
    * 设置 上级地区ID
    * @param parentAreaId
    */
    public void setParentAreaId(String parentAreaId) {
        this.parentAreaId = parentAreaId;
    }
    /**
    * 获取 行政区域代码             行政区域代码             
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 行政区域代码             行政区域代码             
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    /**
    * 获取 删除标识
    * @return deleteFlag
    */
    public String getDeleteFlag() {
        return this.deleteFlag;
    }
    /**
    * 设置 删除标识
    * @param deleteFlag
    */
    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag;
    }
    /**
    * 获取 创建人
    * @return creatorId
    */
    public String getCreatorId() {
        return this.creatorId;
    }
    /**
    * 设置 创建人
    * @param creatorId
    */
    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }
    /**
    * 获取 创建人名称
    * @return creatorName
    */
    public String getCreatorName() {
        return this.creatorName;
    }
    /**
    * 设置 创建人名称
    * @param creatorName
    */
    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }
    /**
    * 获取 创建时间
    * @return createTimes
    */
    public String getCreateTimes() {
        return this.createTimes;
    }
    /**
    * 设置 创建时间
    * @param createTimes
    */
    public void setCreateTimes(String createTimes) {
        this.createTimes = createTimes;
    }
    /**
    * 获取 更新时间
    * @return updateTimes
    */
    public String getUpdateTimes() {
        return this.updateTimes;
    }
    /**
    * 设置 更新时间
    * @param updateTimes
    */
    public void setUpdateTimes(String updateTimes) {
        this.updateTimes = updateTimes;
    }
    /**
    * 获取 1省级，2市级，3区县级，4乡镇级，5村
    * @return areaLevel
    */
    public String getAreaLevel() {
        return this.areaLevel;
    }
    /**
    * 设置 1省级，2市级，3区县级，4乡镇级，5村
    * @param areaLevel
    */
    public void setAreaLevel(String areaLevel) {
        this.areaLevel = areaLevel;
    }
    /**
    * 获取 排序
    * @return sortKey
    */
    public String getSortKey() {
        return this.sortKey;
    }
    /**
    * 设置 排序
    * @param sortKey
    */
    public void setSortKey(String sortKey) {
        this.sortKey = sortKey;
    }
    /**
    * 获取 地区层级编码
    * @return areaLevelCode
    */
    public String getAreaLevelCode() {
        return this.areaLevelCode;
    }
    /**
    * 设置 地区层级编码
    * @param areaLevelCode
    */
    public void setAreaLevelCode(String areaLevelCode) {
        this.areaLevelCode = areaLevelCode;
    }
    /**
    * 获取 临时使用确认地区层级
    * @return submitAreaLevel
    */
    public String getSubmitAreaLevel() {
        return this.submitAreaLevel;
    }
    /**
    * 设置 临时使用确认地区层级
    * @param submitAreaLevel
    */
    public void setSubmitAreaLevel(String submitAreaLevel) {
        this.submitAreaLevel = submitAreaLevel;
    }
    /**
    * 获取 是否特殊区域：0.否，1.是
    * @return isSpecial
    */
    public String getIsSpecial() {
        return this.isSpecial;
    }
    /**
    * 设置 是否特殊区域：0.否，1.是
    * @param isSpecial
    */
    public void setIsSpecial(String isSpecial) {
        this.isSpecial = isSpecial;
    }
    /**
    * 获取 行政区域描述
    * @return areaDesc
    */
    public String getAreaDesc() {
        return this.areaDesc;
    }
    /**
    * 设置 行政区域描述
    * @param areaDesc
    */
    public void setAreaDesc(String areaDesc) {
        this.areaDesc = areaDesc;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof DataAreaEntity) {
            DataAreaEntity tmp = (DataAreaEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",areaName:").append(getAreaName())
                .append(",areaSimpleName:").append(getAreaSimpleName())
                .append(",parentAreaId:").append(getParentAreaId())
                .append(",areaCode:").append(getAreaCode())
                .append(",deleteFlag:").append(getDeleteFlag())
                .append(",creatorId:").append(getCreatorId())
                .append(",creatorName:").append(getCreatorName())
                .append(",createTimes:").append(getCreateTimes())
                .append(",updateTimes:").append(getUpdateTimes())
                .append(",areaLevel:").append(getAreaLevel())
                .append(",sortKey:").append(getSortKey())
                .append(",areaLevelCode:").append(getAreaLevelCode())
                .append(",submitAreaLevel:").append(getSubmitAreaLevel())
                .append(",isSpecial:").append(getIsSpecial())
                .append(",areaDesc:").append(getAreaDesc())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.areaName = null;
         this.areaSimpleName = null;
         this.parentAreaId = null;
         this.areaCode = null;
         this.deleteFlag = null;
         this.creatorId = null;
         this.creatorName = null;
         this.createTimes = null;
         this.updateTimes = null;
         this.areaLevel = null;
         this.sortKey = null;
         this.areaLevelCode = null;
         this.submitAreaLevel = null;
         this.isSpecial = null;
         this.areaDesc = null;
    }
}